dot Q trunk not able to establish

Unanswered Question

Hi all

i have 5505

but iam not able to configure for 802.q vlan ISL not able to configure

can some one suggest me what is wrong with the below system

or is this system does not support that ?

show ver

WS-C5000 Software, Version McpSW: 2.4(3) NmpSW: 2.4(5)

Copyright (c) 1995-1997 by Cisco Systems

NMP S/W compiled on May 7 1998, 11:34:14

MCP S/W compiled on Nov 13 1997, 15:25:08

System Bootstrap Version: 1.2

Hardware Version: 1.6 Model: WS-C5000 Serial #: 002652613

Module Ports Model Serial # Hw Fw Fw1 Sw

------ ----- ---------- --------- ------ ------- ------- --------------------

1 2 WS-X5009 002652613 1.6 1.2 1.2 2.4(5)

3 12 WS-X5201 009716597 3.0 3.1(1) 2.4(5)

4 24 WS-X5224 012744541 1.5 3.1(1) 2.4(5)

5 24 WS-X5224 006799874 1.2 2.4(1) 2.4(5)

Module DRAM FLASH NVRAM Used Available

------ ------- ------- ------- ------- ---------

1 8192K 4096K 128K 72K 56K

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 3 (1 ratings)
Amit Singh Thu, 05/03/2007 - 04:35


Few of the modules on the 5505 were only supporting the ISL trunks and not the dot1q trunks. I think this is where you are stuck and it could be a hardware limitation.

One of my customer faced the same issue sometime back and we use a 3560 switch to create a ISL trunk between 5500 and 3560 and ISL between 3560 and cat4500.

You can check the same using " show port capabilties x/y " command on the interface where you are trying to form a trunk. it will tell you the trunking modes that it supports.

Moreover you are running an OLD CAT OS so I am not sure if that command is there or not but you can give it a try.


-amit singh

ankbhasi Thu, 05/03/2007 - 04:38

Hi Friend,

You are running pretttttty old release so not sure what was supported and what was not supported.

So follow upgrade path from your release to 3.2(4) first and later to 4.x release.

Also check this link for more details also make sure your memory (DRAM and FLASH) supports those release.



*Pls rate all helpfull post

ankbhasi Thu, 05/03/2007 - 05:10

Hi Ram,

Nops 4.x train need minimu 16 MB DRAM so your RAM is only 8MB.

This switch is pretty old and also EOS. I believe you should go for 4500 series which supoprts lot more new and advanve features but it all depends on your requirement.



*Pls rate all helpfull post

Hi Ankur

thanks, but the application is simple

it need to tag to up side, and there i will control bandwidth for the each port.

so for that its expensive to invest 4500 switch

is there any suggestion from the tech people

i can utilise this boxes, i have 5 of them to put in different offices and control bandwidth on central side, by trunking

any help or suggestion will be appriciate


Amit Singh Thu, 05/03/2007 - 07:43


The switch is EOL/EOS, and it doesnot support trunking in the code that you are running.

The only suggestion that I would make is to migrate the 5500 switches to some new 4500 or 3750/3560 switches. Cisco offers CTMP (Cisco Technology migration Plan) where you old switches will be bought back by cisco and will inturn give you the credit on your new switches.


-amit singh

glen.grant Thu, 05/03/2007 - 15:01

I thought the 5224 cards would support and it looks like 2.4.5 supports trunking via ISL . Do a show port capabilities on the 5224 ports and it will tell you whether it supports trunking or not , to me it looks like it should support at least ISL on the 5224 ports . there is no doubt that switch is older than dirt . :-) . Don't think i have ever seen a 5000 with code that low .


thanks for the reply

i have given below is the port status

i dont see that command of capabilities in this OS.

show port 4/1

Port Name Status Vlan Level Duplex Speed Type

----- ------------------ ---------- ---------- ------ ------ ----- ------------

4/1 notconnect 2 normal auto auto 10/100BaseTX

Port Security Secure-Src-Addr Last-Src-Addr Shutdown Trap

----- -------- ----------------- ----------------- -------- --------

4/1 disabled No disabled

Port Broadcast-Limit Broadcast-Drop

-------- --------------- --------------

4/1 - 0

Port Align-Err FCS-Err Xmit-Err Rcv-Err UnderSize

----- ---------- ---------- ---------- ---------- ---------

4/1 0 0 0 0 0

Port Single-Col Multi-Coll Late-Coll Excess-Col Carri-Sen Runts Giants

----- ---------- ---------- ---------- ---------- --------- --------- ---------

4/1 0 0 0 0 0 0 0



Thu May 3 2007, 12:07:37

Amit Singh Thu, 05/03/2007 - 19:38


Your switch is tool old and really nothing can be done at this stage. the code that you are running doesnot support trunking and you cannot upgrdae the new CatOS on the switch as per the hardware limitation. Moreover this switch is End-of-life and End-of support so you will not get the spare parts to upgrade the hardware.

Please talk to your Cisco account SE and Account Manager and check what all they can offer you for this.

-amit singh


This Discussion